For the complete documentation index, see llms.txt. This page is also available as Markdown.

AcsGlobal

Perform various operations for Symitar parameters.

Symitar eDocs References: Coming soon.

Operations

getAcsGlobal

post

Retrieve AcsGlobal parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
200

Successful operation.

application/json
post/getAcsGlobal
POST /nexum/627/2022.01/parameter/getAcsGlobal HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 135

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "AcsGlobal": {
    "AcsAccountManagerEnable": false,
    "AcsTellerTranEnable": false,
    "CreditReportExpireDays": 0,
    "SecuredLoanTypeList": "NONE",
    "UnsecuredLoanTypeList": "NONE"
  },
  "MessageId": "getAcsGlobal"
}

getAcsGlobalSelectFields

post

Retrieve AcsGlobal parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
200

Successful operation.

application/json
post/getAcsGlobalSelectFields
POST /nexum/627/2022.01/parameter/getAcsGlobalSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 240

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "parameter-reference"
    }
  },
  "SelectableFields": {
    "AcsGlobalFields": {
      "AcsAccountManagerEnable": true,
      "CreditReportExpireDays": true
    }
  }
}
200

Successful operation.

{
  "AcsGlobal": {
    "AcsAccountManagerEnable": false,
    "AcsTellerTranEnable": null,
    "CreditReportExpireDays": 0
  },
  "MessageId": "getAcsGlobalSelectFields"
}

updateAcsGlobalByID

post

Update AcsGlobal parameter configuration. Parameter updates can change institution behavior and should be tested in a controlled environment before use.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
200

Successful operation.

application/json
post/updateAcsGlobalByID
POST /nexum/627/2022.01/parameter/updateAcsGlobalByID HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 203

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AcsGlobalUpdatableFields": {
    "Type": 0,
    "Description": "NEXUM EXAMPLE"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "UpdateStatus": {
    "isAllFieldsUpdateSuccess": true,
    "FailedUpdateStatus": []
  },
  "MessageId": "updateAcsGlobalByID"
}

Last updated

Was this helpful?